Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoUBitXover< Chrom > Class Template Reference
[Bitstring]

eoUBitXover --> classic Uniform crossover More...

`#include <ga/eoBitOp.h>`

Inheritance diagram for eoUBitXover< Chrom >:

List of all members.

## Public Member Functions
| eoUBitXover (const float &_preference=0.5)
| (Default) Constructor.
virtual std::string | className () const
| The class name.
bool | operator() (Chrom &chrom1, Chrom &chrom2)
| Uniform crossover for binary chromosomes.
## Private Attributes
float | preference

## Detailed Description

### template<class Chrom>
class eoUBitXover< Chrom >

eoUBitXover --> classic Uniform crossover

Definition at line 274 of file eoBitOp.h.

## Member Function Documentation

template<class Chrom>
bool eoUBitXover< Chrom >::operator() | ( | Chrom & | chrom1,
|  | Chrom & | chrom2
| ) | `[inline, virtual]`

  | Uniform crossover for binary chromosomes. Parameters:
  | chrom1 | The first chromosome.
  | chrom2 | The first chromosome. ::runtime_error if sizes don't match
Implements eoBF< Chrom &, Chrom &, bool >. Definition at line 292 of file eoBitOp.h.

The documentation for this class was generated from the following file:

- eoBitOp.h